## freebsd-glue 0.2.17

=== src/freebsd-glue/Makefile ===
LIB=	freebsd-glue
SRCS=	\
	basename.c \
	exec.c \
	feature_present.c \
	fstab.c \
	funopen.c \
	getbsize.c \
	getcap.c \
	getosreldate.c \
	random.c \
	strnstr.c \
	${NULL}

LDADD=	-lbsd

SYS!=	dpkg-architecture -qDEB_HOST_GNU_SYSTEM

.if ${SYS} == "kfreebsd-gnu"
SRCS+=	\
	capability.c subr_capability.c \
	cpuset.c \
	disklabel.c \
	getbootfile.c \
	linkaddr.c \
	login_class.c \
	mac.c \
	mac_set.c \
	socket.c \
	sendfile.c \
	sysarch.c \
	${NULL}
.endif

.include <bsd.lib.mk>

## freebsd-glue 0.0.4

=== debian/changelog ===
freebsd-glue (0.0.4) unstable; urgency=high

  * Add libutil.h and nlist.h.

 -- Robert Millan <rmh@debian.org>  Thu, 21 Jun 2012 19:51:41 +0200

freebsd-glue (0.0.3) unstable; urgency=low

  * Move freebsd-buildutils from Depends to Recommends to break circular
    dependency.  (Closes: #674806)
  * Don't include <sys/_types.h> on non-kFreeBSD.  (Closes: #674803)

 -- Robert Millan <rmh@debian.org>  Mon, 28 May 2012 11:02:56 +0200

freebsd-glue (0.0.2) unstable; urgency=low

  * Add Vcs-* fields and set Maintainer to debian-bsd.
  * Add Breaks on freebsd-buildutils (<< 9.0-10).  (Closes: #674528)
  * Include <string.h> before feature_present().
  * Make <sys/types.h> implicitly include <sys/select.h>.

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 19:13:17 +0200

freebsd-glue (0.0.1) unstable; urgency=low

  * Initial release.

 -- Robert Millan <rmh@debian.org>  Sat, 19 May 2012 14:35:32 +0200

=== debian/control ===
Source: freebsd-glue
Section: devel
Priority: extra
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Robert Millan <rmh@debian.org>
Build-Depends:
 debhelper (>= 8.0),
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-glue/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-glue/
Standards-Version: 3.9.3

Package: freebsd-glue
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 original-awk,
 make,
 libbsd-dev (>= 0.4.0-1~),
 libexpat-dev,
Recommends:
# Can't put this in Depends because it would introduce a circular dependency
# (see #674806).
 freebsd-buildutils,
Conflicts: kfreebsd-kernel-headers (<< 0.80)
Replaces: freebsd-buildutils (<< 9.0-10)
Breaks: freebsd-buildutils (<< 9.0-10)
Description: Emulate a FreeBSD build environment
 This package provides a set of glue headers and symbolic links to emulate
 a FreeBSD build environment.
 .
 Its goal is to make it as easy as possible to build source code written for
 FreeBSD on Debian, by adding the necessary glue so that equivalent interfaces
 in packages like freebsd-buildutils, libbsd-dev or libexpat-dev are directly
 available to pristine FreeBSD code.
 .
 freebsd-glue strives for bug-for-bug compatibility and will even attempt
 to accommodate for unspecified features (such as implicit header inclusion),
 as long as this doesn't cause breakage in other areas.

## freebsd-glue 0.0.9

=== debian/changelog ===
freebsd-glue (0.0.9) unstable; urgency=low

  * Make <sys/_types.h> and <machine/_types.h> usable on non-kFreeBSD.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 21:55:14 +0200

freebsd-glue (0.0.8) unstable; urgency=low

  * Include <grp.h> in <unistd.h> (for initgroups).
  * Add __containerof() to <sys/cdefs.h>.
  * Add roundup2 in <sys/param.h>. It is no longer provided by glibc
    (??).

 -- Robert Millan <rmh@debian.org>  Tue, 16 Jul 2013 15:21:09 +0200

freebsd-glue (0.0.7) unstable; urgency=low

  * Replace versions of freebsd-buildutils which included their own
    yacc. (Closes: #715138)
  * Misc fixes to accomodate for FreeBSD 9.1.

 -- Robert Millan <rmh@debian.org>  Tue, 09 Jul 2013 22:32:45 +0200

freebsd-glue (0.0.6) unstable; urgency=low

  * Misc additions to simplify PPP patchset in freebsd-utils.
  * Add yacc -> byacc symlink.
  * Add _SAFE macros in <sys/queue.h>.

 -- Robert Millan <rmh@debian.org>  Fri, 05 Jul 2013 22:02:54 +0200

freebsd-glue (0.0.5) unstable; urgency=low

  * Drag libbsd counterparts into <stdio.h> and <stdlib.h>.

 -- Robert Millan <rmh@debian.org>  Wed, 19 Jun 2013 21:05:20 +0200

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,14 @@
  make,
  libbsd-dev (>= 0.4.0-1~),
  libexpat-dev,
+ byacc,
 Recommends:
 # Can't put this in Depends because it would introduce a circular dependency
 # (see #674806).
  freebsd-buildutils,
 Conflicts: kfreebsd-kernel-headers (<< 0.80)
-Replaces: freebsd-buildutils (<< 9.0-10)
+Replaces:
+ freebsd-buildutils (<< 10~svn237137-1~),
 Breaks: freebsd-buildutils (<< 9.0-10)
 Description: Emulate a FreeBSD build environment
  This package provides a set of glue headers and symbolic links to emulate

## freebsd-glue 0.2.17

=== debian/changelog ===
freebsd-glue (0.2.17) unstable; urgency=low

  * Remove dependency on libutil-freebsd-dev (it was only needed during
    transition of libutil.h).
  * Allow users to force use of embedded headers even when building
    natively, by setting __FREEBSD_GLUE_USE_EMBEDDED_HEADERS macro. This
    makes it possible to detect FTBFS errors that affect other platforms
    also on GNU/kFreeBSD.
  * Update embedded copy of <sys/elf_common.h>.
  * Add getbsize().
  * Add arc4random_buf() prototype to <stdlib.h>.
  * Add _PATH_GBDE, _PATH_GELI and _PATH_MDCONFIG to <paths.h>.
  * Add swapon() and swapoff() prototypes to <unistd.h>.
  * Add basename_r().
  * Add capsicum(4) family of functions.

 -- Robert Millan <rmh@debian.org>  Mon, 20 Jan 2014 23:45:07 +0100

freebsd-glue (0.2.16) unstable; urgency=low

  * Only include <sys/sysctl.h> when needed (should fix FTBFS on
    hurd-i386).
  * Add __ELF_WORD_SIZE to <machine/__get_elf_arch.h>.
  * Add a few FreeBSD-specific clocks on non-kFreeBSD systems.

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 15:15:59 +0100

freebsd-glue (0.2.15) unstable; urgency=low

  * Fix /usr/lib/freebsd/bmake permissions.
  * Make the libbsd-dev B-D explicit now that freebsd-buildutils doesn't
    pull it.

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 02:09:59 +0100

freebsd-glue (0.2.14) unstable; urgency=low

  * Add <sys/elf.h>.
  * Switch to bmake, and finish breaking the circular build-dependency
    on freebsd-buildutils.

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 01:30:59 +0100

freebsd-glue (0.2.13) unstable; urgency=low

  * Explicitly request gcc-4.8 as sbuild can't handle build dependencies
    properly (sigh).

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 20:15:04 +0100

freebsd-glue (0.2.12) unstable; urgency=low

  * Invoke FreeBSD make explicitly as fmake.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 19:47:27 +0100

freebsd-glue (0.2.11) unstable; urgency=low

  * Yet another attempt at fixing FTBFS with older freebsd-buildutils...

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 18:41:42 +0100

freebsd-glue (0.2.10) unstable; urgency=low

  * Attempt to use fmake, then fallback to make (in /usr/lib/freebsd).
    This garantees FreeBSD make no matter which freebsd-buildutils we're
    using.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 18:17:49 +0100

freebsd-glue (0.2.9) unstable; urgency=low

  * sysarch.c: Avoid conflicting declarations in <machine/sysarch.h>.
  * Require GCC 4.8 or later to fix FTBFS on ia64, powerpc and sparc.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 17:52:03 +0100

freebsd-glue (0.2.8) unstable; urgency=low

  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.
  * Provide legacy symlinks for make and mtree (for now, fmake and
    fmtree).
  * Add wrapper for bmake (force it to use /usr/share/mk-freebsd instead
    of its own /usr/share/mk).
  * Add a few sysarch-based functions: amd64_get_fsbase,
    amd64_get_gsbase, amd64_set_fsbase, amd64_set_gsbase,
    i386_get_fsbase, i386_get_gsbase, i386_set_fsbase and
    i386_set_gsbase.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 16:03:44 +0100

freebsd-glue (0.2.7) unstable; urgency=low

  * Remove getpeereid(), use version from libbsd instead.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Dec 2013 00:53:25 +0100

freebsd-glue (0.2.6) unstable; urgency=low

  * Use -O2 for normal build and -Os for udeb build.
  * Use MAKEOBJDIRPREFIX instead of MAKEOBJDIR, so that each library has
    its own object directory.
  * Provide bsd_sendfile() syscall stub, and map sendfile() to it in
    <sys/socket.h>.
  * Convert cget* family of functions into dummy stubs. This gets rid of
    -ldb dependency, which isn't permissible outside of /usr.
    (Closes: #732617)
  * Add getpeereid().

 -- Robert Millan <rmh@debian.org>  Sun, 29 Dec 2013 00:30:03 +0100

freebsd-glue (0.2.5) unstable; urgency=low

  * Include libbsdxml.so in freebsd-glue.
  * Split udeb build into a separate target. Exclude getcap.c from that
    build and its associated -ldb.  (Closes: #731258)

 -- Robert Millan <rmh@debian.org>  Tue, 03 Dec 2013 22:28:21 +0100

freebsd-glue (0.2.4) unstable; urgency=low

  * Remove libutil glue code, depend on the real thing instead.

 -- Robert Millan <rmh@debian.org>  Sun, 01 Dec 2013 12:58:10 +0100

freebsd-glue (0.2.3) unstable; urgency=low

  * Only install *.so symlink for libfreebsd-glue.

 -- Robert Millan <rmh@debian.org>  Sat, 30 Nov 2013 13:08:07 +0100

freebsd-glue (0.2.2) unstable; urgency=low

  * Add strnstr().
  * setfstab: Only fail when file != NULL. Set errno when failing.
  * Provide libbsdxml stubs (for libexpat).

 -- Robert Millan <rmh@debian.org>  Sat, 30 Nov 2013 12:09:03 +0100

freebsd-glue (0.2.1) unstable; urgency=low

  * Fix broken external references in mac_set.c.

 -- Robert Millan <rmh@debian.org>  Fri, 29 Nov 2013 18:38:51 +0100

freebsd-glue (0.2.0) experimental; urgency=low

  * Provide a shared version of libfreebsd-glue.

 -- Robert Millan <rmh@debian.org>  Fri, 29 Nov 2013 14:05:57 +0100

freebsd-glue (0.1.15) unstable; urgency=low

  * Add INADDR_ALLRPTS_GROUP, INADDR_CARP_GROUP, INADDR_PFSYNC_GROUP and
    INADDR_ALLMDNS_GROUP magic IPv4 addresses.
  * Add the mac_* family of functions (as defined by <sys/mac.h>.
  * Move <sys/stdint.h> to <stdint.h>.
  * Add <sys/stdint.h> (as #include stub).
  * Add _PATH_DEVZERO.
  * Split additions for libcrypt, libutil and libz into separate
    libraries.
  * Add getbootfile().
  * Add <ndbm.h> stub (for libgdbm).
  * Add <sys/file.h> (stub for <sys/kglue/sys/file.h>).
  * Add <sys/user.h> and <sys/proc.h>.
  * Add _PATH_UUCPLOCK (diverge from upstream as per FHS).
  * Add mac_set family of functions.
  * Update copyright information.

 -- Robert Millan <rmh@debian.org>  Sun, 24 Nov 2013 14:22:23 +0100

freebsd-glue (0.1.14) unstable; urgency=low

  * Redirect to native <machine/elf.h> on kFreeBSD.


=== debian/control ===
--- 
+++ 
@@ -5,17 +5,29 @@
 Uploaders: Robert Millan <rmh@debian.org>
 Build-Depends:
  debhelper (>= 8.0),
-Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-glue/
-Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-glue/
+ kfreebsd-kernel-headers (>= 10.0~3) [kfreebsd-any],
+ freebsd-mk,
+ bmake,
+ libbsd-dev,
+ libdb-dev,
+ zlib1g-dev,
+# For -Wno-error=maybe-uninitialized
+ gcc-4.8,
+Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-glue/
+Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-glue/
 Standards-Version: 3.9.3
 
 Package: freebsd-glue
-Architecture: all
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+ libfreebsd-glue-0 (= ${binary:Version}),
  original-awk,
  make,
  libbsd-dev (>= 0.4.0-1~),
+ libdb-dev,
+ zlib1g-dev,
  libexpat-dev,
+ libgdbm-dev,
  byacc,
 Recommends:
 # Can't put this in Depends because it would introduce a circular dependency
@@ -23,7 +35,7 @@
  freebsd-buildutils,
 Conflicts: kfreebsd-kernel-headers (<< 0.80)
 Replaces:
- freebsd-buildutils (<< 10~svn237137-1~),
+ freebsd-buildutils (<< 10.0~svn259404-4~),
 Breaks: freebsd-buildutils (<< 9.0-10)
 Description: Emulate a FreeBSD build environment
  This package provides a set of glue headers and symbolic links to emulate
@@ -37,3 +49,19 @@
  freebsd-glue strives for bug-for-bug compatibility and will even attempt
  to accommodate for unspecified features (such as implicit header inclusion),
  as long as this doesn't cause breakage in other areas.
+
+Package: libfreebsd-glue-0
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: FreeBSD glue environment (shared objects)
+ Shared objects for the FreeBSD glue environment.
+
+Package: libfreebsd-glue-0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: FreeBSD glue environment (udeb)
+ Shared objects for the FreeBSD glue environment.
+ .
+ This is a minimal package for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export SHELL = bash

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
	BSD_MAKEFLAGS += -j$(NUMJOBS)
endif

DESTDIR = $(CURDIR)/debian/tmp
PATH := /usr/lib/freebsd:$(PATH)
PMAKE := \
	MAKEFLAGS=$(BSD_MAKEFLAGS) \
	MAKEOBJDIRPREFIX=$(CURDIR)/obj-deb \
	CFLAGS="$(CFLAGS) -O2" \
	DESTDIR="$(DESTDIR)" \
	bmake -m /usr/share/mk-freebsd \
	CC=gcc-4.8 \
	$(NULL)
PMAKE_UDEB := \
	MAKEFLAGS=$(BSD_MAKEFLAGS) \
	MAKEOBJDIRPREFIX=$(CURDIR)/obj-udeb \
	CFLAGS="$(CFLAGS) -Os" \
	DESTDIR="$(DESTDIR)-udeb" \
	bmake -m /usr/share/mk-freebsd \
	CC=gcc-4.8 \
	RESCUE=yes \
	$(NULL)

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

clean:
	dh_testdir
	rm -rf obj-{deb,udeb} debian/tmp-udeb
	rm -f include/machine/__get_elf_arch.h src/get_elf_arch
	dh_clean

src/get_elf_arch: src/get_elf_arch.c
include/machine/__get_elf_arch.h: src/get_elf_arch
	$^ > $@

build: build-arch
build-arch: build-deb build-udeb

build-deb: include/machine/__get_elf_arch.h
	$(PMAKE) obj
	$(PMAKE)

build-udeb: include/machine/__get_elf_arch.h
	$(PMAKE_UDEB) obj
	$(PMAKE_UDEB)

build-indep:
	:

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	mkdir -p $(DESTDIR){,-udeb}/{usr/,}lib

	$(PMAKE) install
	$(PMAKE_UDEB) install

	echo "GROUP( libexpat.so )" > \
		$(DESTDIR)/usr/lib/libbsdxml.so
	ln -s $(DEB_HOST_GNU_TYPE)/libexpat.a \
		$(DESTDIR)/usr/lib/libbsdxml.a

	mkdir -p $(DESTDIR)/usr/lib/freebsd
	install -m755 debian/local/scripts/bmake $(DESTDIR)/usr/lib/freebsd/

	dh_install -a --list-missing

binary: binary-arch binary-indep
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
#	dh_installexamples
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
	dh_makeshlibs -a
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	dh_makeshlibs -plibfreebsd-glue-0 --add-udeb=libfreebsd-glue-0-udeb
endif
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	:

## freebsd-glue 0.2.20

=== src/Makefile ===
SUBDIR=	\
	freebsd-glue \
	crypt \
	z \
	${NULL}

.include <bsd.subdir.mk>

=== src/z/Makefile ===
LIB=	z-freebsd
SRCS=	\
	zopen.c \
	${NULL}

LDADD=	-lz

.include <bsd.lib.mk>

=== debian/changelog ===
freebsd-glue (0.2.20) unstable; urgency=low

  * Upload to unstable
  
  [ Steven Chamberlain ]
  * Switch to gcc-4.9 (Closes: #751309)
  * Remove funopen, fwopen and fropen definitions, now provided by libbsd
    (Closes: #759249)

 -- Christoph Egger <christoph@debian.org>  Mon, 25 Aug 2014 13:17:44 -0700

freebsd-glue (0.2.19) unstable; urgency=low

  * Add MAXHOSTNAMELEN fallback.
  * Add isnumber().

 -- Robert Millan <rmh@debian.org>  Sat, 22 Mar 2014 20:27:53 +0100

freebsd-glue (0.2.18) experimental; urgency=low

  * Add PATH_MAX and MAXPATHLEN fallbacks for systems that lack them.
  * Uploading to experimental as kfreebsd-kernel-headers 10.0 (needed by
    capsicum) is only available there.

 -- Robert Millan <rmh@debian.org>  Tue, 21 Jan 2014 12:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libdb-dev,
  zlib1g-dev,
 # For -Wno-error=maybe-uninitialized
- gcc-4.8,
+ gcc-4.9,
 Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-glue/
 Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-glue/
 Standards-Version: 3.9.3
@@ -23,7 +23,7 @@
  libfreebsd-glue-0 (= ${binary:Version}),
  original-awk,
  make,
- libbsd-dev (>= 0.4.0-1~),
+ libbsd-dev (>= 0.7.0-1~),
  libdb-dev,
  zlib1g-dev,
  libexpat-dev,

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	CFLAGS="$(CFLAGS) -O2" \
 	DESTDIR="$(DESTDIR)" \
 	bmake -m /usr/share/mk-freebsd \
-	CC=gcc-4.8 \
+	CC=gcc-4.9 \
 	$(NULL)
 PMAKE_UDEB := \
 	MAKEFLAGS=$(BSD_MAKEFLAGS) \
@@ -26,7 +26,7 @@
 	CFLAGS="$(CFLAGS) -Os" \
 	DESTDIR="$(DESTDIR)-udeb" \
 	bmake -m /usr/share/mk-freebsd \
-	CC=gcc-4.8 \
+	CC=gcc-4.9 \
 	RESCUE=yes \
 	$(NULL)

## freebsd-glue 0.2.22

=== src/crypt/Makefile ===
LIB=	crypt-freebsd
SRCS=	\
	crypt.c \
	${NULL}

LDADD=	-lcrypt

.include <bsd.lib.mk>

=== src/freebsd-glue/Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 	exec.c \
 	feature_present.c \
 	fstab.c \
-	funopen.c \
 	getbsize.c \
 	getcap.c \
 	getosreldate.c \

=== debian/changelog ===
freebsd-glue (0.2.22) unstable; urgency=medium

  * Actually use the proper build architecture compiler
    (thanks, Helmut Grohne!)
  * Drop freebsd-glue's seemingly unnecessary dependency on 'make'

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 00:48:23 +0000

freebsd-glue (0.2.21) unstable; urgency=medium

  * Add myself to Uploaders.
  * No longer Build-Depends specifically on gcc-4.9 (gcc-5 and gcc-6
    are both fine).
  * Fixes for cross building:
    - don't override $CC (as explained by Helmut Grohne, it forced use
      of the build architecture compiler).
    - build get_elf_arch with the build architecture compiler, but
      examine a host arch binary (also suggested by Helmut Grohne,
      thanks!)
  * Now using Standards-Version 3.9.7 (no changes needed).

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 02 Mar 2016 14:06:22 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: devel
 Priority: extra
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
-Uploaders: Robert Millan <rmh@debian.org>
+Uploaders:
+ Robert Millan <rmh@debian.org>,
+ Steven Chamberlain <steven@pyro.eu.org>,
 Build-Depends:
  debhelper (>= 8.0),
  kfreebsd-kernel-headers (>= 10.0~3) [kfreebsd-any],
@@ -11,18 +13,15 @@
  libbsd-dev,
  libdb-dev,
  zlib1g-dev,
-# For -Wno-error=maybe-uninitialized
- gcc-4.9,
 Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-glue/
 Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-glue/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.7
 
 Package: freebsd-glue
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libfreebsd-glue-0 (= ${binary:Version}),
  original-awk,
- make,
  libbsd-dev (>= 0.7.0-1~),
  libdb-dev,
  zlib1g-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,17 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+# Determine host architecture compiler
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifeq ($(origin CC),default)
+CC := $(DEB_HOST_GNU_TYPE)-gcc
+endif
+
+# Determine build architecture compiler
+DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+NATIVE_CC		?= $(DEB_BUILD_GNU_TYPE)-gcc
 
 export SHELL = bash
 
@@ -18,7 +30,7 @@
 	CFLAGS="$(CFLAGS) -O2" \
 	DESTDIR="$(DESTDIR)" \
 	bmake -m /usr/share/mk-freebsd \
-	CC=gcc-4.9 \
+	CC=$(CC) \
 	$(NULL)
 PMAKE_UDEB := \
 	MAKEFLAGS=$(BSD_MAKEFLAGS) \
@@ -26,22 +38,24 @@
 	CFLAGS="$(CFLAGS) -Os" \
 	DESTDIR="$(DESTDIR)-udeb" \
 	bmake -m /usr/share/mk-freebsd \
-	CC=gcc-4.9 \
+	CC=$(CC) \
 	RESCUE=yes \
 	$(NULL)
-
-DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 clean:
 	dh_testdir
 	rm -rf obj-{deb,udeb} debian/tmp-udeb
-	rm -f include/machine/__get_elf_arch.h src/get_elf_arch
+	rm -f include/machine/__get_elf_arch.h src/get_elf_arch src/host_elf_arch
 	dh_clean
 
-src/get_elf_arch: src/get_elf_arch.c
-include/machine/__get_elf_arch.h: src/get_elf_arch
-	$^ > $@
+# Build this for the build architecture, as it is executed during build
+# to examine host_elf_arch
+src/get_elf_arch:
+	$(NATIVE_CC) src/get_elf_arch.c -o src/get_elf_arch
+# Build this for the host architecture.
+src/host_elf_arch: src/host_elf_arch.c
+include/machine/__get_elf_arch.h: src/get_elf_arch src/host_elf_arch
+	$^ src/host_elf_arch > $@
 
 build: build-arch
 build-arch: build-deb build-udeb

## freebsd-glue 0.2.22+nmu1

=== debian/changelog ===
freebsd-glue (0.2.22+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gcc-9. (Closes: #964661)
  * Include #pragma once in md5.h for freebsd-buildutils.
  * Temporarily include lorder/tsort workaround. (Closes: #964661)

 -- Bastian Germann <bage@debian.org>  Mon, 07 Aug 2023 01:20:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Steven Chamberlain <steven@pyro.eu.org>,
 Build-Depends:
  debhelper (>= 8.0),
+ gcc-9,
  kfreebsd-kernel-headers (>= 10.0~3) [kfreebsd-any],
  freebsd-mk,
  bmake,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Determine host architecture compiler
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 ifeq ($(origin CC),default)
-CC := $(DEB_HOST_GNU_TYPE)-gcc
+CC := $(DEB_HOST_GNU_TYPE)-gcc-9
 endif
 
 # Determine build architecture compiler
@@ -23,7 +23,7 @@
 endif
 
 DESTDIR = $(CURDIR)/debian/tmp
-PATH := /usr/lib/freebsd:$(PATH)
+PATH := $(CURDIR)/debian:/usr/lib/freebsd:$(PATH)
 PMAKE := \
 	MAKEFLAGS=$(BSD_MAKEFLAGS) \
 	MAKEOBJDIRPREFIX=$(CURDIR)/obj-deb \
